<div class="ecl-container">
  <h1 eclPageHeaderTitle>{{ 'search-results-page.title' | translate }}</h1>
  <div class="wrapper ecl-u-mt-xl">
    <aside class="filters__wrapper" [attr.aria-label]="'aria-label.search-results-page.filters' | translate">
      <h2 class="filters__title">{{ 'search-results-page.filters-section.title' | translate }}</h2>
      <div eclFormGroup class="filters__container">
        <div class="ecl-u-mb-m">
          <span class="ecl-u-d-block ecl-u-mb-xs ecl-u-type-bold filters__search-title">{{
            'search-results-page.filters-section.text-filter.title' | translate
          }}</span>
          <div class="ecl-u-d-flex filters__search-input-container">
            <input
              eclTextInput
              type="search"
              [formControl]="searchInput"
              [placeholder]="'home-page.search-section.input-placeholder' | translate"
              (keydown.enter)="search()" />
            <div class="filters__search-button-container">
              <button eclButton [attr.aria-label]="'aria-label.button.search' | translate" (click)="search()"></button>
              <div class="filters__search-button-icon">
                <ecl-icon icon="search" size="s" />
              </div>
            </div>
          </div>
        </div>
        <form eclFormGroup class="filters__container" [formGroup]="filtersForm">
          <div class="filters__select ecl-u-mb-xl">
            <span class="ecl-u-d-block ecl-u-mb-xs ecl-u-type-bold title">{{
              'search-results-page.filters-section.select-filter.title' | translate
            }}</span>
            <select
              eclMultiselect
              eclSize="xl"
              [eclPlaceholder]="'search-results-page.filters-section.select-filter.placeholder' | translate"
              formControlName="country">
              <option
                eclMultiselectOption
                *ngFor="let option of countrySelectOptions"
                [value]="option.value"
                [label]="option.label | translate"></option>
            </select>
          </div>
          <div class="filters__checkbox">
            <span class="ecl-u-type-bold title">{{ 'search-results-page.filters-section.checkbox-filter.title' | translate }}</span>
            <div eclCheckbox>
              <input
                eclCheckboxInput
                type="checkbox"
                id="checkbox-1"
                [attr.aria-label]="'aria-label.search-results-page.procedure-checkbox' | translate"
                name="checkbox-procedure"
                value="procedure"
                formControlName="procedure" />
              <label for="checkbox-1" eclCheckboxLabel>{{ 'search-results-page.filters-section.procedure-checkbox' | translate }}</label>
            </div>
            <div eclCheckbox>
              <input
                eclCheckboxInput
                type="checkbox"
                id="checkbox-2"
                [attr.aria-label]="'aria-label.search-results-page.requirement-checkbox' | translate"
                name="checkbox-requirement"
                value="requirement"
                formControlName="requirement" />
              <label for="checkbox-2" eclCheckboxLabel>{{ 'search-results-page.filters-section.requirement-checkbox' | translate }}</label>
            </div>
            <div eclCheckbox>
              <input
                eclCheckboxInput
                type="checkbox"
                id="checkbox-3"
                [attr.aria-label]="'aria-label.search-results-page.evidence-checkbox' | translate"
                name="checkbox-evidence"
                value="evidence"
                formControlName="evidence" />
              <label for="checkbox-3" eclCheckboxLabel>{{ 'search-results-page.filters-section.evidence-checkbox' | translate }}</label>
            </div>
            <div eclCheckbox>
              <input
                eclCheckboxInput
                type="checkbox"
                id="checkbox-4"
                [attr.aria-label]="'aria-label.search-results-page.provider-checkbox' | translate"
                name="checkbox-provider"
                value="provider"
                formControlName="provider" />
              <label for="checkbox-4" eclCheckboxLabel>{{ 'search-results-page.filters-section.provider-checkbox' | translate }}</label>
            </div>
          </div>
        </form>
      </div>
    </aside>
    <section class="results-section" [attr.aria-label]="'aria-label.search-results-page.results-section' | translate" aria-live="polite">
      <div *ngIf="searchLoading" class="spinner-container ecl-u-mv-4xl">
        <ecl-loading-indicator>
          <div eclSpinnerLabel>
            {{ 'common.spinner.label' | translate }}
          </div>
        </ecl-loading-indicator>
      </div>
      <ng-container *ngIf="!searchLoading && filteredResults.length > 0">
        <ecl-content-block class="results-section__card" *ngFor="let result of getItemsInPage()">
          <div eclContentBlockPrimaryMetas class="results-section__card-title-container">
            <ng-container *ngIf="result.country">
              <div class="results-section__icon-container"
                ><ecl-icon iconSet="flag" [icon]="getCountryName(result.country).toLowerCase()" size="m"
              /></div>
              <span eclContentBlockPrimaryMeta class="ecl-u-pl-xl">{{ getCountryName(result.country) }}</span>
            </ng-container>
            <span eclContentBlockPrimaryMeta>{{ getElementType(result.type) | translate }}</span>
          </div>
          <h3 eclContentBlockTitle (click)="onResultClickHandler(result.type, result.linkUrl, result.id)">{{ result.title }}</h3>
          <div eclContentBlockDescription class="results-section__card-description" *ngIf="result.description">
            {{ result.description }}
          </div>
        </ecl-content-block>
      </ng-container>
      <ecl-pagination
        *ngIf="filteredResults.length > 10"
        class="ecl-u-pv-none ecl-u-mt-l ecl-u-bg-white"
        mode="auto"
        [totalItems]="filteredResults.length"
        [pageSize]="10"
        (page)="pagination($event)">
      </ecl-pagination>
      <app-message-box
        *ngIf="filteredResults.length === 0"
        title="search-results-page.results-section.empty-state-title"
        description="search-results-page.results-section.empty-state-description"
        state="info"></app-message-box>
    </section>
  </div>
</div>
